import 'package:flutter/material.dart';

/// Description: 主页
/// Time       : 04/28/2023 Friday
/// Author     : liuyuqi.gov@msn.cn
class HomePage extends StatefulWidget {
  const HomePage({super.key});

  @override
  State<HomePage> createState() => _HomePageState();
}

class _HomePageState extends State<HomePage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
          title: Text("context.l10n.appTitle"),
          leading: Builder(builder: (context) {
            return IconButton(
              icon: Icon(Icons.menu),
              onPressed: () {
                Scaffold.of(context).openDrawer();
              },
            );
          }),
          actions: [
            IconButton(
              icon: Icon(Icons.logout),
              onPressed: () {},
            )
          ]),
      drawer: Drawer(
          child: ListView(children: [
        UserAccountsDrawerHeader(
            accountName: Text("张三"), accountEmail: Text(""))
      ])),
      body: SafeArea(
          child: Column(
        children: [],
      )),
    );
  }
}
